/* CLI List alias node:
   CLI:  alias aliasName;
   Actor:  listAlias(parent, aliasName);
   NOTE:  if aliasName nil, list all of the aliases. */!!

inherit(Object, #CLIListAliasNode, #(aliasName), 2, nil)!!

now(class(CLIListAliasNode))!!

now(CLIListAliasNode)!!

/* Compile the node into Actor source. */
Def CLICodeCompile(self)
{
  CLICodeCompile("setCliStatusValue(self, ");
  CLICodeCompile("listAlias(self, ");
  if aliasName
  then
    CLICodeCompile(aliasName);
  else
    CLICodeCompile("nil");
  endif;
  CLICodeCompile(")) ");
}!!

Def init(self, alias)
{
  aliasName := alias;
}!!
